/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.process.web.client.projectarea");

dojo.require("net.jazz.ajax.toolbox.lang.internal.Lang");

(function() {

	var checkNotNull 	= net.jazz.ajax.toolbox.lang.checkNotNull;

	function checkProjectAreaInit() {
		checkNotNull(com.ibm.team.process.web.projectArea, "com.ibm.team.process.web.projectArea");
	}

	/**
	 * Returns an object representing the current project area.
	 * @since 0.5
	 */
	 function getCurrentProjectArea() {
	 	checkProjectAreaInit();
		return com.ibm.team.process.web.projectArea;	 	
	 }

	 com.ibm.team.process.web.client.projectarea.getCurrentProjectArea = getCurrentProjectArea;
	
})();